Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.parser
Class ASTInterfaceDeclaration

    java.lang.Object
      |
      +--jedi.parser.SimpleNode
            |
            +--jedi.parser.ASTInterfaceDeclaration

All Implemented Interfaces:
  Node

public class ASTInterfaceDeclaration
extends SimpleNode

Fields inherited from class jedi.parser.SimpleNode
`children, first_token, id, last_token, parent, parser`

Constructor Summary
`ASTInterfaceDeclaration(int id)`
`ASTInterfaceDeclaration(JavaParser p, int id)`

Method Summary
`java.lang.String` | `getExtends()`
`java.lang.String` | `getFilename()`
`java.util.Vector` | `getImports()`
`java.util.Vector` | `getMethods()`
`java.lang.String` | `getName()`
`java.util.Vector` | `getVariables()`
`boolean` | `isAbstract()`
`boolean` | `isPublic()`
`void` | `setAbstract(boolean b)`
`void` | `setPublic(boolean b)`
`java.lang.String` | `toString()`

Methods inherited from class jedi.parser.SimpleNode
`dump, getJavaDoc, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTInterfaceDeclaration

    public ASTInterfaceDeclaration(int id)

### ASTInterfaceDeclaration

    public ASTInterfaceDeclaration(JavaParser p,
                                   int id)

Method Detail

### getExtends

    public java.lang.String getExtends()

### getFilename

    public java.lang.String getFilename()

### getImports

    public java.util.Vector getImports()

### getMethods

    public java.util.Vector getMethods()

### getName

    public java.lang.String getName()

### getVariables

    public java.util.Vector getVariables()

### isAbstract

    public boolean isAbstract()

### isPublic

    public boolean isPublic()

### setAbstract

    public void setAbstract(boolean b)

### setPublic

    public void setPublic(boolean b)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD